## retroarch-assets 1.20.0+dfsg

=== Makefile ===
PREFIX := /usr
INSTALLDIR := $(PREFIX)/share/libretro/assets

all:
	@echo "Nothing to make for retroarch-assets."

install:
	mkdir -p $(DESTDIR)$(INSTALLDIR)
	cp -ar * $(DESTDIR)$(INSTALLDIR)
	rm -rf $(DESTDIR)$(INSTALLDIR)/Makefile \
		$(DESTDIR)$(INSTALLDIR)/configure \
		$(DESTDIR)$(INSTALLDIR)/src

test-install: all
	DESTDIR=/tmp/build $(MAKE) install

## retroarch-assets 1.3.6%2Bgit20160731%2Bdfsg1

=== debian/control ===
Source: retroarch-assets
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sérgio Benjamim <sergio_br2@yahoo.com.br>
Build-Depends: debhelper (>= 9), lsb-release
Standards-Version: 3.9.8
Homepage: http://www.libretro.com

Package: retroarch-assets
Architecture: all
Depends: fonts-roboto | fonts-roboto-hinted, ${shlibs:Depends}, ${misc:Depends}
Description: RetroArch assets for XMB, GLUI and Zarch
 This package installs RetroArch assets for XMB, GLUI and Zarch menu drivers.

## retroarch-assets 1.3.6+git20160731+dfsg1

=== debian/changelog ===
retroarch-assets (1.3.6+git20160731+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Remove alternative dependency on fonts-roboto because it provides the
    unhinted version now. This fixes broken symlinks. See also #922947.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Mar 2019 01:02:15 +0100

retroarch-assets (1.3.6+git20160731+dfsg1-1) unstable; urgency=low

  * Updated to latest git, c8f7c0b.
  * Changed package maintainer to Debian Games Team.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 17 Aug 2016 22:15:00 -0300

retroarch-assets (1.3.0+git20160522+dfsg1-2) unstable; urgency=low

  * Fixed fonts symlinks.
  * Relicensed the package to CC-BY-4.0.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Fri, 27 May 2016 15:38:00 -0300

retroarch-assets (1.3.0+git20160522+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #792608).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 22 May 2016 15:59:00 -0300

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: retroarch-assets
 Architecture: all
-Depends: fonts-roboto | fonts-roboto-hinted, ${shlibs:Depends}, ${misc:Depends}
+Depends: fonts-roboto-hinted, ${shlibs:Depends}, ${misc:Depends}
 Description: RetroArch assets for XMB, GLUI and Zarch
  This package installs RetroArch assets for XMB, GLUI and Zarch menu drivers.

## retroarch-assets 1.3.6.git20160731.dfsg1

=== debian/changelog ===
retroarch-assets (1.3.6.git20160731.dfsg1-1~bpo8) jessie; urgency=medium

  * Backport for Debian Jessie.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Feb 2017 12:09:13 -0800

## retroarch-assets 1.4.1+git20170209+dfsg1

=== debian/changelog ===
retroarch-assets (1.4.1+git20170209+dfsg1-1) experimental; urgency=low

  * Updated to latest git, f60758f.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 15 Feb 2017 18:31:00 -0300

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: retroarch-assets
 Architecture: all
-Depends: fonts-roboto-hinted, ${shlibs:Depends}, ${misc:Depends}
+Depends: fonts-roboto | fonts-roboto-hinted, fonts-mplus, ${shlibs:Depends}, ${misc:Depends}
 Description: RetroArch assets for XMB, GLUI and Zarch
  This package installs RetroArch assets for XMB, GLUI and Zarch menu drivers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DEBIAN_VERSION=$(shell lsb_release -c | cut -f2)

ifeq ($(DEBIAN_VERSION),$(filter $(DEBIAN_VERSION),qiana rebecca rafaela rosa trusty vivid wily wheezy jessie))
	ROBOTO_DIR := usr/share/fonts/truetype/roboto
else
	ROBOTO_DIR := usr/share/fonts/truetype/roboto/hinted
endif

override_dh_auto_configure:
	sed 's|@ROBOTO_DIR@|$(ROBOTO_DIR)|g' \
		debian/links.in > debian/links

override_dh_auto_build:

override_dh_auto_clean:

## retroarch-assets 1.4.1+git20210329

=== debian/changelog ===
retroarch-assets (1.4.1+git20210329-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 May 2021 14:55:39 -0700

retroarch-assets-dmo (1.4.1+git20210329-0.0) unstable; urgency=medium

  * Updated to latest git, 52ab089

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Mar 2021 16:19:37 +0200

retroarch-assets-dmo (1.4.1+git20201201-0.0) unstable; urgency=medium

  * Updated to latest git, 133b63e.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Dec 2020 09:21:26 +0100

=== debian/control ===
Source: retroarch-assets
Section: otherosfs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://www.libretro.com
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), lsb-release

Package: retroarch-assets
Architecture: all
Depends: fonts-mplus, fonts-roboto-hinted, ${misc:Depends}
Description: RetroArch assets for XMB, GLUI and Zarch
 This package installs RetroArch assets for XMB, GLUI and Zarch menu
 drivers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install override_dh_auto_build:

## retroarch-assets 1.7.6+git20221024+dfsg

=== debian/changelog ===
retroarch-assets (1.7.6+git20221024+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Feb 2023 21:30:28 -0500

retroarch-assets (1.7.6+git20221024+dfsg-2) unstable; urgency=low

  * Update Vcs-* pointers to libretro subproject
  * Bump Standards-Version to 4.6.2
  * Add debian/gbp.conf pointing to main as the Debian branch

 -- Jonathan McDowell <noodles@earth.li>  Thu, 12 Jan 2023 19:48:03 +0000

retroarch-assets (1.7.6+git20221024+dfsg-1) unstable; urgency=low

  * Team upload
  * New upstream snapshot, 4ec80fafo (Closes: #926811)
    * Manufactured version from the first RetroArch release that has the Ozone
      UI.
    * Add build system
  * Switch to debhelper-compat, level 13
  * Mark binary package as Multi-Arch: foreign
  * Update fonts, drop use of hinted Roboto fonts (Closes: #922947)
  * Set Rules-Requires-Root to no
  * Expand package extended description
  * Update debian/copyright
  * Add README.source to describe building DFSG tarball
  * Add Vcs-* pointers to Salsa packaging repository

 -- Jonathan McDowell <noodles@earth.li>  Fri, 30 Dec 2022 19:03:32 +0000

=== debian/control ===
Source: retroarch-assets
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sérgio Benjamim <sergio_br2@yahoo.com.br>
Build-Depends: debhelper-compat (= 13),
	imagemagick,
	inkscape,
	optipng
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.libretro.com
Vcs-Browser: https://salsa.debian.org/games-team/libretro/retroarch-assets
Vcs-Git: https://salsa.debian.org/games-team/libretro/retroarch-assets.git

Package: retroarch-assets
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
	fonts-dejavu-core,
	fonts-noto-extra,
	fonts-roboto-unhinted
Description: RetroArch assets for Ozone, GLUI, RGUI and XMB
 This package installs assets needed for RetroArch e.g. menu drivers, etc.
 .
  * Ozone is the default UX. It offers easy use thanks to its simple
    menu-driven interface structure.
  * GLUI is a UX for touch devices. It works great on phones and tablets.
  * RGUI is a simple UX that works well on low performance devices. It was
    originally introduced in the Wii port of RetroArch in order to provide
    the console experience, where everything is controlled from a joypad.
    RGUI was later refitted for PC and mobile ports.
  * XMB is the classic icon-driven UX that is arranged similar to certain
    system experiences from the 7th generation era. It is ideal for
    horizontal widescreen TV or monitor use, where a joystick or D-pad
    is the primary interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# We can quieten Inkscape with this, but it's otherwise unnecessary
# overhead that requires xauth + xvfb as build-deps.
#override_dh_auto_build:
#	xvfb-run -a dh_auto_build

## retroarch-assets 1.7.6+git20230911+dfsg

=== debian/changelog ===
retroarch-assets (1.7.6+git20230911+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    * Removes rgui/wallpaper/mystery_blocks* (Closes: #1053539)
  * Fix clean target to remove generated assets (Closes: #1045767)
  * Add myself to Uploaders

 -- Jonathan McDowell <noodles@earth.li>  Sat, 14 Oct 2023 18:12:17 +0100

retroarch-assets (1.7.6+git20221024+dfsg-4) unstable; urgency=medium

  * Team upload
  * Set NO_PNG_PKG_MANGLE=1 to fix Ubuntu build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Jun 2023 12:27:59 -0400

retroarch-assets (1.7.6+git20221024+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add Depends: fonts-droid-fallback (Closes: #1035793)

 -- Tobias Frost <tobi@debian.org>  Tue, 09 May 2023 17:19:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Sérgio Benjamim <sergio_br2@yahoo.com.br>
+Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 13),
 	imagemagick,
 	inkscape,
@@ -18,6 +18,7 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	fonts-dejavu-core,
+	fonts-droid-fallback,
 	fonts-noto-extra,
 	fonts-roboto-unhinted
 Description: RetroArch assets for Ozone, GLUI, RGUI and XMB

## retroarch-assets 1.18.0+dfsg

=== debian/changelog ===
retroarch-assets (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Improve Makefile patch based on --shuffle problems
  * Add a debian/watch file
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Tue, 24 Dec 2024 08:43:00 +0000

## retroarch-assets 1.19.0+dfsg

=== debian/changelog ===
retroarch-assets (1.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Sat, 25 Jan 2025 17:13:13 +0000

## retroarch-assets 1.20.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	imagemagick,
 	inkscape,
 	optipng
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.libretro.com
 Vcs-Browser: https://salsa.debian.org/games-team/libretro/retroarch-assets

## retroarch-assets 1.20.0+dfsg

=== debian/changelog ===
retroarch-assets (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Sun, 06 Apr 2025 15:22:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Fix Ubuntu build
+export NO_PNG_PKG_MANGLE=1
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/libretro/retroarch-assets/tags .*/v?(\d.*)@ARCHIVE_EXT@
